#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");
KSYMTAB_FUNC(nvKmsKapiF16ToF32, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToF16, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Mul, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Div, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Add, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToUI32RMinMag, "", "");
KSYMTAB_FUNC(nvKmsKapiUI32ToF32, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0xc7feb2a2, "");
SYMBOL_CRC(nvKmsKapiF16ToF32, 0x5bf8ab0d, "");
SYMBOL_CRC(nvKmsKapiF32ToF16, 0x5312b4e7, "");
SYMBOL_CRC(nvKmsKapiF32Mul, 0x034b05b8, "");
SYMBOL_CRC(nvKmsKapiF32Div, 0x661c5342, "");
SYMBOL_CRC(nvKmsKapiF32Add, 0xaf4cf778, "");
SYMBOL_CRC(nvKmsKapiF32ToUI32RMinMag, 0x2aaaa051, "");
SYMBOL_CRC(nvKmsKapiUI32ToF32, 0x6137753d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xcf2a6966, "up" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x6626afca, "down" },
	{ 0x37a0cba, "kfree" },
	{ 0x53b954a2, "up_read" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa50b293c, "single_release" },
	{ 0x20ce5c98, "single_open" },
	{ 0x3bd1afe2, "__seq_puts" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x6a2375f7, "seq_read" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x366c70fb, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x668b19a1, "down_read" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7b8a95b3, "proc_remove" },
	{ 0xd1a7d104, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x999e8297, "vfree" },
	{ 0x43ee0e, "filp_open" },
	{ 0x649c12a, "kernel_read" },
	{ 0x766231be, "filp_close" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1000e51, "schedule" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x148653, "vsnprintf" },
	{ 0x1fec1128, "nvidia_get_rm_ops" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8f090f40, "cdev_init" },
	{ 0xa63537b1, "cdev_add" },
	{ 0x3a3b87ee, "proc_mkdir_mode" },
	{ 0x61670907, "proc_create_data" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd6fae7d2, "kmalloc_caches" },
	{ 0x58f2f4f8, "__kmalloc_cache_noprof" },
	{ 0x31613931, "fget" },
	{ 0x5264c13, "fput" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe33e176b, "backlight_device_register" },
	{ 0x3a1d9808, "backlight_device_unregister" },
	{ 0x7ac686b5, "seq_lseek" },
	{ 0x3ecd2a64, "param_ops_charp" },
	{ 0xb9349dc9, "param_ops_bool" },
	{ 0x5dbc9b67, "param_ops_int" },
	{ 0xcd467be9, "param_ops_uint" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x24ac3d9b, "kthread_stop" },
	{ 0x5b693c3c, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2ad8b87b, "vmalloc_to_page" },
	{ 0x94de1425, "wake_up_process" },
	{ 0xff99666b, "module_layout" },
};

MODULE_INFO(depends, "nvidia,video");


MODULE_INFO(srcversion, "C6CC9B83DAF73957E723E59");
